Page MenuHomePhabricator

[WebAssembly] Fix incorrect assumption of simple value types
ClosedPublic

Authored by tlively on Sep 3 2020, 1:12 PM.

Details

Summary

Fixes PR47375, in which an assertion was triggering because
WebAssemblyTargetLowering::isVectorLoadExtDesirable was improperly
assuming the use of simple value types.

Diff Detail

Event Timeline

tlively created this revision.Sep 3 2020, 1:12 PM
Herald added a project: Restricted Project. · View Herald Transcript
tlively requested review of this revision.Sep 3 2020, 1:12 PM
aheejin accepted this revision.Sep 4 2020, 8:22 AM
This revision is now accepted and ready to land.Sep 4 2020, 8:22 AM
hans added a subscriber: hans.Sep 7 2020, 10:27 AM

Pushed to 11.x as 8399522c96a94bfb7c1cbf4df2bed0b3d826fbf6. Please let me know if there any follow-ups.